Create a repository
POST
https://api.vercel.com/v1/vcr/repositoryCreate a container registry repository for a project.
https://api.vercel.com/v1/vcr/repository
const response = await fetch('https://api.vercel.com/v1/vcr/repository?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "projectId": "example_id", "name": "nginx" }),});
const data = await response.json();console.log(data);Response
{ "repository": { "createdAt": "2026-06-30T10:00:00.000Z", "id": "repo_a1b2c3d4e5f6", "name": "my-app", "projectId": "prj_a1b2c3d4e5f6", "public": "false", "updatedAt": "2026-06-30T10:00:00.000Z" }}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error